Anaconda Enterprise: Documentation

# conda install

    CONDA(1)                         User Commands                        CONDA(1)

## NAME

           conda - conda install

## DESCRIPTION

           usage: conda install [-h] [--revision REVISION] [-y] [--dry-run] [-f]

           [--file FILE] [--no-deps] [-m] [--use-index-cache]
                  [--use-local]   [--offline]  [--no-pin]  [-c  CHANNEL]  [--over-
                  ride-channels] [-n ENVIRONMENT | -p PATH] [-q] [--copy] [--clob-
                  ber]       [-k]       [--alt-hint]       [--update-dependencies]
                  [--no-update-dependencies]   [--channel-priority]    [--no-chan-
                  nel-priority]   [--show-channel-urls]   [--no-show-channel-urls]
                  [--json] [--debug] [--verbose] [package_spec [package_spec ...]]

           Installs a list of packages into a specified conda environment.

           This  command  accepts  a  list  of package specifications (e.g, bitar-
           ray=0.8) and installs a set of packages consistent with those  specifi-
           cations and compatible with the underlying environment. If full compat-
           ibility cannot be assured, an error is reported and the environment  is
           not changed.

           Conda  attempts  to  install the newest versions of the requested pack-
           ages. To accomplish this, it may update some packages that are  already
           installed, or install additional packages. To prevent existing packages
           from updating, use the --no-update-deps option. This may force conda to
           install  older versions of the requested packages, and it does not pre-
           vent additional dependency packages from being installed.

           If you wish to skip dependency checking altogether, use  the  '--force'
           option.  This  may result in an environment with incompatible packages,
           so this option must be used with great caution.

           conda can also be called with a list of explicit  conda  package  file-
           names  (e.g.  ./lxml-3.2.0-py27_0.tar.bz2).  Using  conda  in this mode
           implies the --force option, and should likewise be used with great cau-
           tion.  Explicit filenames and package specifications cannot be mixed in
           a single command.

## OPTIONS

       positional arguments:
           package_spec
                  Packages to install into the conda environment.

       optional arguments:
           -h, --help
                  Show this help message and exit.

           --revision REVISION
                  Revert to the specified REVISION.

           -y, --yes
                  Do not ask for confirmation.

           --dry-run
                  Only display what would have been done.

           -f, --force
                  Force install (even when  package  already  installed),  implies
                  --no-deps.

           --file FILE
                  Read  package versions from the given file. Repeated file speci-
                  fications can be passed (e.g. --file=file1 --file=file2).

           --no-deps
                  Do not install dependencies.

           -m, --mkdir
                  Create the environment directory if necessary.

           --use-index-cache
                  Use cache of channel index files.

           --use-local
                  Use locally built packages.

           --offline
                  Offline mode, don't connect to the Internet.

           --no-pin
                  Ignore pinned file.

           -c CHANNEL, --channel CHANNEL
                  Additional channel  to  search  for  packages.  These  are  URLs
                  searched  in  the  order  they  are given (including file:// for
                  local directories). Then, the defaults or channels from .condarc
                  are  searched (unless --override-channels is given). You can use
                  'defaults' to get the default packages for conda,  and  'system'
                  to  get  the  system  packages,  which  also takes .condarc into
                  account. You can also  use  any  name  and  the  .condarc  chan-
                  nel_alias  value will be prepended. The default channel_alias is
                  http://conda.anaconda.org/.

           --override-channels
                  Do not search default or .condarc channels. Requires  --channel.

           -n ENVIRONMENT, --name ENVIRONMENT
                  Name      of      environment      (in      root     prefix/envs
                  :/Users/wwarner/.conda/envs).

           -p PATH, --prefix PATH
                  Full path to environment prefix (default: default prefix).

           -q, --quiet
                  Do not display progress bar.

           --copy Install all packages using copies instead of hard- or soft-link-
                  ing.

           --clobber
                  Allow  clobbering of overlapping file paths within packages, and
                  suppress related warnings.

           -k, --insecure
                  Allow conda to perform "insecure"  SSL  connections  and  trans-
                  fers.Equivalent to setting 'ssl_verify' to 'false'.

           --alt-hint
                  Use an alternate algorithm to generate an unsatisfiability hint.

           --update-dependencies, --update-deps
                  Update dependencies (default: True).

           --no-update-dependencies, --no-update-deps
                  Don't update dependencies (default: False).

           --channel-priority, --channel-pri, --chan-pri
                  Channel priority takes precedence over package version (default:
                  True).  Note: This feature is in beta and may change in a future
                  release.

           --no-channel-priority, --no-channel-pri, --no-chan-pri
                  Package version takes precedence over channel priority (default:
                  False). Note: This feature is in beta and may change in a future
                  release.

           --show-channel-urls
                  Show channel urls (default: None).

           --no-show-channel-urls
                  Don't show channel urls.

           --json Report all output as json. Suitable for using conda programmati-
                  cally.

           --debug
                  Show debug output.

           --verbose, -v
                  Use once for info, twice for debug, three times for trace.

## EXAMPLES

                  conda install -n myenv scipy

    Continuum Analytics              November 2017                        CONDA(1)